# Generated by go2rpm 1.3
%bcond_without check

# https://github.com/srwiley/rasterx
%global goipath         github.com/srwiley/rasterx
%global commit          85cb7272f5e99816a35e2c3fff0c4ab1b16e867c

%gometa

%global common_description %{expand:
Rasterx is a golang rasterizer that implements path stroking functions capable
of SVG 2.0 compliant 'arc' joins and explicit loop closing.

 - Paths can be explicity closed or left open, resulting in a line join or end
   caps.
 - Arc joins are supported, which causes the extending edge from a Bezier curve
   to follow the radius of curvature at the end point rather than a straight
   line miter, resulting in a more fliud looking join.
 - Not specified in the SVG2.0 spec., but supported in rasterx is the arc-clip
   join, which is the arc join analog of a miter-clip join, both of which end
   the miter at a specified distance, rather than all or nothing.
 - Several cap and gap functions in addition to those specified by SVG2.0 are
   implemented, specifically quad and cubic caps and gaps.
 - Line start and end capping functions can be different.
}

%global golicenses      LICENSE
%global godocs          doc README.md

Name:           %{goname}
Version:        0
Release:        0.1%{?dist}
Summary:        SVG 2.0 path compliant rasterizer

# Upstream license specification: BSD-3-Clause
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(golang.org/x/image/math/fixed)
BuildRequires:  golang(golang.org/x/image/vector)

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Sun Jan 31 00:11:19 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20210131git85cb727
- Initial package
